%global python3_pkgversion 3.11
%global srcname zarr

Name:           python-%{srcname}
Version:        2.16.1
Release:        2.ac16.py3.11%{?dist}
Summary:        Chunked, compressed, N-dimensional arrays for Python

License:        MIT
URL:            https://github.com/zarr-developers/zarr
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
# Test dependencies
BuildRequires:  python%{python3_pkgversion}dist(bsddb3)
BuildRequires:  python%{python3_pkgversion}dist(fsspec)
BuildRequires:  python%{python3_pkgversion}dist(h5py)
BuildRequires:  python%{python3_pkgversion}dist(lmdb)
BuildRequires:  python%{python3_pkgversion}dist(msgpack)
BuildRequires:  python%{python3_pkgversion}dist(pytest)

%description
Zarr is a Python package providing an implementation of compressed, chunked,
N-dimensional arrays, designed for use in parallel computing.


%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{srcname}
Zarr is a Python package providing an implementation of compressed, chunked,
N-dimensional arrays, designed for use in parallel computing.


%package -n python-%{srcname}-doc
Summary:        zarr documentation

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}dist(numpydoc)
BuildRequires:  python%{python3_pkgversion}dist(sphinx)
BuildRequires:  python%{python3_pkgversion}dist(sphinx-copybutton)
BuildRequires:  python%{python3_pkgversion}dist(sphinx-design)
BuildRequires:  python%{python3_pkgversion}dist(sphinx-issues)
BuildRequires:  python%{python3_pkgversion}dist(pydata-sphinx-theme)

%description -n python-%{srcname}-doc
Documentation for zarr


%prep
%autosetup -n %{srcname}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-%{python3_pkgversion} docs html

# remove the sphinx-build-%{python3_pkgversion} leftovers
rm -rf html/.{doctrees,buildinfo,_static/donotdelete}


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check


for b in $(find %{buildroot}%{_bindir}/ -type f) ; do mv "$b" $(sed -re "s|(.*)$|\1-%{python3_pkgversion}|"<<<"$b"); done
for m in $(find %{buildroot}%{_mandir}/ -type f) ; do mv "$m" $(sed -re "s|(.*).([1-8])(.*)$|\1-%{python3_pkgversion}.\2\3|"<<<"$m"); done
for m in $(find %{buildroot}%{_datadir}/locale/* -type f) ; do mv "$m" $(sed -re "s|(.*).mo$|\1-%{python3_pkgversion}.mo|"<<<"$m"); done
for l in $(find %{buildroot}/usr/lib64/lib* -type f -o -type l) ; do mv "$l" $(sed -re "s|(.*).so(.*)$|\1-py%{python3_pkgversion}.so\2|"<<<"$l"); done
for p in $(find %{buildroot}/usr/lib64/pkgconfig/* -type f) ; do mv "$p" $(sed -re "s|(.*).pc$|\1-py%{python3_pkgversion}.pc|"<<<"$p"); done
%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md

%files -n python-%{srcname}-doc
%doc html
%license LICENSE.txt


%changelog
* Mon May 20 2024 Ding-Yi Chen <dingyichen@gmail.com> -  2.16.1-2.ac16.py3.11
 - Cut corner packaging
